Subject: Re: BUG or FEATURE? Use of '/' in branch names

From: Keith Derrick <[email-masked]>
Date: Fri, 2 May 2014 18:36:59 -0400

Yes, I've since found some discussion on this, and had already changed 
to use '-' to append the classifier.

But the other problem is that I can't easily find this restriction 
documented anywhere - which means it comes as a suprise to people.

As it stands, the documentation implies that what I tried should work. 
In which case, how it's been *implemented* seems to be breaking the 
promise of the functional specification (if you view the documentation 
as such).

Keith

On 05/02/2014 03:16 PM, Jonathan Nieder wrote:
> Hi Keith,
>
> Keith Derrick wrote:
>
>>      $ git checkout -b hotfix
>>      Switched to a new branch 'hotfix'
>>      $ git checkout -b hotfix/b2
>>      error: unable to resolve reference refs/heads/hotfix/b2: Not a directory
>>      fatal: Failed to lock ref for update: Not a directory
>>      $
> That's an ugly message.  I think we can do better. (hint hint)
>
> Longer term, I think people would like to make it possible for a
> 'hotfix' and 'hotfix/b2' branch to coexist, but that will take some
> work, and until then, git tries to be careful about enforcing the
> constraint that they cannot coexist.
>
> Fixing it would be complicated by the need to avoid breaking people
> with older versions of git when they fetch from you (what happens to
> the origin/hotfix and origin/hotfix/b2 remote-tracking refs on the
> client side?).
>
> Thanks and hope that helps,
> Jonathan